[general]
resource_parser_url=https://raw.githubusercontent.com/KOP-XIAO/QuantumultX/master/Scripts/resource-parser.js
network_check_url=http://www.google.com/generate_204

[dns]
server=223.5.5.5
server=119.29.29.29
server=8.8.8.8

[policy]
static=🔍 Google服务, USA_1, PROXY
static=🤖 AI, USA_1,
static=CDN, USA_1
static=🛑 广告拦截, REJECT, DIRECT
static=🍎 苹果服务, DIRECT, USA_1, PROXY
static=🎥 Netflix, PROXY
static=🎵 TikTok, PROXY
static=customize, PROXY
static=🐟 Final, PROXY, DIRECT

[server_remote]

[server_local]
vless=43.153.49.189:28191, method=none, password=ec5fa903-7c06-4806-9ac4-f352c8320911, obfs=over-tls, obfs-host=www.amazon.com, tls-verification=false, reality-base64-pubkey=pABtL6L9NERkilUCn4rPE6auxyvFulzo6aB-BDpyW38, reality-hex-shortid=ff3dadd6, fast-open=false, udp-relay=false, tag=USA_1


[rewrite_remote]
https://limbopro.com/Adblock4limbo.conf, tag=毒奶去广告, enabled=true

[filter_remote]
# Google/YouTube
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Google/Google.list, tag=Google, force-policy=🔍 Google服务, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/YouTube/YouTube.list, tag=YouTube, force-policy=🔍 Google服务, enabled=true
# Apple
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Apple/Apple.list, tag=Apple, force-policy=🍎 苹果服务, enabled=true

# 专项服务
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/GitHub/GitHub.list, tag=GitHub, force-policy=PROXY, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Telegram/Telegram.list, tag=Telegram, force-policy=PROXY, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Instagram/Instagram.list, tag=Instagram, force-policy=PROXY, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Facebook/Facebook.list, tag=Facebook, force-policy=PROXY, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/OpenAI/OpenAI.list, tag=OpenAI, force-policy=🤖 AI, enabled=true
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Claude/Claude.list, tag=OpenAI, force-policy=🤖 AI, enabled=true
# 在 filter_remote 添加
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Twitter/Twitter.list, tag=Twitter_Grok, force-policy=🤖 AI, enabled=true
https://snowsnowsnow.life/download/customize.list, tag=customize, force-policy=customize, enabled=true
# 全球海外加速列表
https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/QuantumultX/Global/Global.list, tag=海外通用, force-policy=PROXY, enabled=true

https://limbopro.com/Adblock4limbo.list, tag=Adblock规则, force-policy=🛑 广告拦截, enabled=true

[filter_local]
# 屏蔽 QUIC (锁定 Google IP 的关键)
host-keyword, quic, reject

# 局域网直连
ip-cidr, 10.0.0.0/8, direct
ip-cidr, 127.0.0.0/8, direct
ip-cidr, 172.16.0.0/12, direct
ip-cidr, 192.168.0.0/16, direct

# --- 国内流量终点站：所有中国 IP 强制直连 ---
geoip, cn, direct

# --- 最终兜底：如果不属于中国 IP，且没被上面规则抓到，统统走代理 ---
final, 🐟 Final

[rewrite_local]

[task_local]

[http_backend]

[mitm]
hostname = *.google.com, *.googlevideo.com, *.youtube.com, *.instagram.com, *.facebook.com, *.fbcdn.net